#pragma bank 255

// Scene: fate6House

#include "gbs_types.h"
#include "data/bg_house_wide.h"
#include "data/scene_2_collisions.h"
#include "data/palette_1.h"
#include "data/palette_13.h"
#include "data/sprite_charanimatedsprite.h"
#include "data/scene_2_actors.h"
#include "data/scene_2_triggers.h"
#include "data/scene_2_sprites.h"
#include "data/scene_2_init.h"

BANKREF(scene_2)

const struct scene_t scene_2 = {
    .width = 32,
    .height = 18,
    .type = SCENE_TYPE_TOPDOWN,
    .background = TO_FAR_PTR_T(bg_house_wide),
    .collisions = TO_FAR_PTR_T(scene_2_collisions),
    .parallax_rows = {
        PARALLAX_STEP(0,0,0)
    },
    .palette = TO_FAR_PTR_T(palette_1),
    .sprite_palette = TO_FAR_PTR_T(palette_13),
    .reserve_tiles = 0,
    .player_sprite = TO_FAR_PTR_T(sprite_charanimatedsprite),
    .n_actors = 1,
    .n_triggers = 2,
    .n_sprites = 1,
    .n_projectiles = 0,
    .actors = TO_FAR_PTR_T(scene_2_actors),
    .triggers = TO_FAR_PTR_T(scene_2_triggers),
    .sprites = TO_FAR_PTR_T(scene_2_sprites),
    .script_init = TO_FAR_PTR_T(scene_2_init)
};
